/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Abstract MultiDimensional Image Model Component Units
 */
public enum EnumCV_AbstractMultiDimensionalImageModelComponentUnits 
{
	// Abstract MultiDimensional Image Model Component Units - CID 7181
	NO_UNITS_1("1"),
	RATIO_ratio("{ratio}"),
	HOUNSFIELD_UNIT_hnsf_U("[hnsf'U]"),
	COUNTS_counts("{counts}"),
	COUNTS_PER_SECOND_counts_PER_s("{counts}/s"),
	ARBITRARY_UNIT_arb_U("[arb'U]"),
	CENTIMETER_SECOND_cm_PER_s("cm/s"),
	MILLIMETER_SECOND_mm_PER_s("mm/s"),
	DECIBEL_dB("dB"),
	DEGREES_CELSIUS_Cel("Cel"),
	MILLILITER_PER_MINUTE_ml_PER_min("ml/min"),
	MILLILITER_PER_SECOND_ml_PER_s("ml/s"),
	MILLISECOND_ms("ms"),
	SECOND_s("s"),
	HERTZ_Hz("Hz"),
	MILLITESLA_mT("mT"),
	NUMBER_PARTICLES_PER_100_GRAM_OF_TISSUE_Particles_PER_100_g_Tissue("{Particles}/[100]g{Tissue}"),
	SQUARE_MILLIMETER_PER_SECOND_mm2_PER_s("mm2/s"),
	SECOND_PER_SQUARE_MILLIMETER_s_PER_mm2("s/mm2"),
	MILLILITER_PER_100_GRAM_PER_MINUTE_ml_PER_100g_PER_min("ml/[100]g/min"),
	MILLILITER_PER_100_MILLILITER_ml_PER_100ml("ml/[100]ml"),
	MILLIMOLES_PER_KG_WET_WEIGHT_mmol_PER_kg_WetWeight("mmol/kg{WetWeight}"),
	PER_MIN_min("/min"),
	PER_S_s("/s");
	

	private String value;
	
	EnumCV_AbstractMultiDimensionalImageModelComponentUnits(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
